import request from '@/utils/request'

// 查询考勤记录列表
export function listRecord(query) {
  return request({
    url: '/record/list',
    method: 'get',
    params: query
  })
}

// 查询考勤记录详细
export function getRecord(recordId) {
  return request({
    url: '/record/' + recordId,
    method: 'get'
  })
}

// 新增考勤记录
export function addRecord(data) {
  return request({
    url: '/record',
    method: 'post',
    data: data
  })
}

// 修改考勤记录
export function updateRecord(data) {
  return request({
    url: '/record/put',
    method: 'post',
    data: data
  })
}

// 删除考勤记录
export function delRecord(recordId) {
  return request({
    url: '/record/delete/' + recordId,
    method: 'get'
  })
}
